<template>
    <div class="home" v-loading="isshow" :element-loading-text="istype"  
    element-loading-spinner="el-icon-loading"
    element-loading-background="rgba(0, 0, 0, 0.8)">
    <!-- <div v-wechat-title="$route.meta.title=name"></div> -->
        <div class="top">
            <div class="leftsearch">
                <input v-model="searchvalue" type="text" placeholder="请输入搜索成员"/>
            </div>
            <div class="rightsearch">
                <button @click="searchbtn()" class="btn">搜索</button>
            </div>
           
        </div>
        <ul class="list" >
            <li v-for="(item,index) in datalist" :key="index" @click="tosure(item.Name,item.Id)">{{item.Name}}</li>
        </ul>
         <el-dialog
            title="提示"
            :visible.sync="issave"
            width="90%"
            height="20vh"
           >
            <span style="margin:0 auto; width:20%;">{{word}}</span>
            <span slot="footer" class="dialog-footer">
                <el-button style="background:#5C77A0; color:white;" @click="sureback()">确 定</el-button>
            </span>
        </el-dialog>
    </div>
</template>
<script type="text/ecmascript-6">
 import format from '../../utils/format.js';
export default {  
    data(){
        return{
             isshow:false,
             istype:'',
             searchvalue:'',
             datalist:[],
             issave:false,
             word:'',
            name:'',
            id:''
        }
      
    },
    methods:{
       searchbtn(){
           let that=this;
           that.isshow=true;
           that.istype="搜索中"
            client.apexrest('/rest/SerchProjectMember?staffName='+that.searchvalue,function(data){
                  console.log(data);
                    if(data.Message=='Success'){
                        that.isshow=false;
                        if(data.conlist.length>0){
                            
                            that.datalist=data.conlist;
                            console.log(that.datalist);
                        }else{
                            that.datalist=[];
                            that.issave=true;
                            that.word="此员工可能不是我司员工或已离职";
                        }
                    }else{
                        that.isshow=false;
                        console.log(data.message);
                    }
                },function(error){
                    that.isshow=false;
                    
                },'GET',null,true)
       },
       tosure(name,id){
           this.issave=true;
           this.word='您确定将'+name+'加入项目成员吗'
           this.name=name;
           this.id=id;
       },
       sureback(){

           this.issave=false;
           if(this.word=="此员工可能不是我司员工或已离职" || this.word=="添加成功" || this.word=="添加失败"){
               this.$router.push({path:'/member',query:{id:that.$route.query.id}});
               return;
           }
           this.show=true;
            this.istype="添加中";
            let that=this;
            client.apexrest('/rest/AddProjectMember?Pid='+that.$route.query.id+'&staffID='+that.id,function(data){
                  console.log(data);
                  that.isshow=false;
                  if(data.Message=="Success"){
                      that.issave=true;
                      that.word=="添加成功"
                    that.$router.push({path:'/member',query:{id:that.$route.query.id}});
                  }else{
                      that.issave=true;
                       that.word=="添加失败";
                      console.log(data.Message);
                     
                  }
                },function(error){
                     this.show=false;
                  console.log(error)
                },'GET',null,true)
           //this.$router.push({path:'/member',query:{id:this.$route.query.id,name:this.name}});
       }
    },
    created(){
         var _mtac = {};
         (function() { 
            var mta = document.createElement("script");
            mta.src = "//pingjs.qq.com/h5/stats.js?v2.0.4"; 
            mta.setAttribute("name", "MTAH5");
            mta.setAttribute("sid", "500652293"); 
            var s = document.getElementsByTagName("script")[0]; 
            s.parentNode.insertBefore(mta, s); })(); 
    }
}
</script>
<style lang="scss" type="text/scss" scoped>
   .home{
       width: 100%;
       margin: 0 auto;
       height:100vh;
   }
   .home .top{
       width: 95%;
       margin: 0.2rem auto 0 auto;
       height: 0.8rem;
       display: flex;
       border:0.02rem solid #5477AB;

   }
   .home .top .leftsearch{
       width: 70%;
       height: 0.8rem;
   }
    .home .top .leftsearch input{
        width:100%;
        height: 0.7rem;
        border:none;
        padding-left: 0.2rem;
    }
     .home .top .leftsearch input::-webkit-input-placeholder{
        //  line-height: 0.7rem;
        //  text-indent: 0.2rem;
     }
   .home .top .rightsearch{
       width:30%;

   }
   .home .top .rightsearch .btn{
       width:100%;
       background: #5477AB;
       color: white;
       height: 0.8rem;
       line-height: 0.8rem;
       text-align: center;

   }
   .home .list{
       width:95%;
       margin: 0 auto;
   }
    .home .list li{
        width:100%;
        height: 1rem;
        line-height: 1rem;
        color: gray;
        background: white;
        text-indent:0.2rem;
        border-bottom: 0.02rem solid #5477AB;
    }
</style>

